package space.kklochko.simple_jbdd.tests.commands;

import space.kklochko.simple_jbdd.tests.Test;

public class SimpleTestCommand<T extends Test> extends AbstractTestCommand<T> {
    protected T object;

    public SimpleTestCommand(String label, T object) {
        super(label);
        setObject(object);
        setType("Title");
    }

    @Override
    public boolean test() {
        return true;
    }

    public void setObject(T object) {
        this.object = object;
    }

    public T getObject() {
        return object;
    }
}

