package space.kklochko.simple_jbdd.tests.commands.decorators;

import space.kklochko.simple_jbdd.tests.Test;
import space.kklochko.simple_jbdd.tests.commands.AbstractTestCommand;

public class ErrorDecorator<T extends Test> extends AbstractDecorator<T> {
    public ErrorDecorator(String error_label, AbstractTestCommand<T> command, String type) {
        super(error_label, command);
        setType(type);
    }

    public boolean test() {
        return false;
    }

    public boolean runMethod() {
        return false;
    };
}

